Get All Services
curl --request POST \
--url https://api.birdeye.com/resources/v1/google-services/services \
--header 'Content-Type: application/json' \
--data '
{
"search": "Customer Service"
}
'import requests
url = "https://api.birdeye.com/resources/v1/google-services/services"
payload = { "search": "Customer Service" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({search: 'Customer Service'})
};
fetch('https://api.birdeye.com/resources/v1/google-services/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"services": [
{
"serviceId": "SERV10021056",
"name": "Customer Service",
"currencyCode": "USD",
"price": 100.5,
"description": "We provide 24x7 customer service",
"group": "Hair Care",
"duration": 90
}
]
}{
"code": 2486,
"message": "Business Id missing or invalid"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Google Services
Get All Services
Get all services for an account
POST
/
v1
/
google-services
/
services
Get All Services
Headers
e.g. application/json
e.g. 2uiHKCTi8hSg35MG75aaot0B2SAokhjk (string, required) - Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the account
start index; default 0
page size; default 25
"updated", "name" or "price"; default : updated
"asc" or "desc"; default: desc
Body
application/json
search phrase for the service. This could be service Id or name phrase, e.g. "1002", "Customer".
Response
OK
Google services details
Show child attributes
Show child attributes
⌘I